
void setup()
{
  Serial.begin(1000000);
  // ---------------------------------------- Device identifier for serial communication
  #define IDENTIFIER "Recognition"
  void SearchArduinoSerial();
}

void loop()
{
  ReadSerialData();
}

void ReadSerialData()
{
  static String receivedString;
  while (Serial.available()) 
  {
    char inChar = (char)Serial.read();
    receivedString += inChar;
    if (inChar == '\n' || inChar == '\r')
    {
      receivedString.trim();
      receivedString.toLowerCase();
      
      if (receivedString == "getid") 
      {
          Serial.println(IDENTIFIER);
      }
      receivedString = "";
    }
  }
}